/**
 * Print a variable, color it magenta if it's different from the default
 * @param name
 * @param value
 * @param defaultValue
 */
export declare function logVariable(name: string, value: any, defaultValue?: string | number): void;
export declare function log(message: string): void;
export declare function logInfo(message: string): void;
export declare function logNotice(message: string): void;
export declare function logSuccess(message: string): void;
export declare function logWarning(message: string): void;
export declare function logError(error: Error | string, message?: string): void;
export declare function logBanner(message: string): void;
/**
 * Request a ENV variable from the user if not set
 * @param name
 * @param value
 * @param suggested - the value the scripts expects and suggest
 */
export declare function promptVar(name: string, value: string, suggested?: string): Promise<string>;
export declare function confirm(message: string): Promise<boolean>;
